This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 314451 - (CVE-2007-4996) CVE-2007-4996 MSN nudges sent from unknown buddies can cause libpurple to crash
CVE-2007-4996 MSN nudges sent from unknown buddies can cause libpurple to crash
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=upstream,reported=20070928,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 14:35 EDT by Lubomir Kundrak
Modified: 2008-01-08 07:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 07:40:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-10-01 14:35:42 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4996 to the following vulnerability:

A remote MSN user that is not on the buddy list can cause a denial of service (crash) by sending a nudge message. The protocol plugin attempts to look up the buddy's information and accesses an invalid memory location if the user is not on the buddy list.

References:

http://www.pidgin.im/news/security/?id=23
Comment 3 Tomas Hoger 2008-01-08 07:40:25 EST
These issues did not affect the versions of Pidgin or Gaim as shipped with Red
Hat Enterprise Linux 2.1, 3, 4, or 5.

Fedora pidgin packages were updated to fixed upstream version.

Note You need to log in before you can comment on or make changes to this bug.